Bug 1019964 - socat: should use the system certificate store by default
socat: should use the system certificate store by default
Status: MODIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: socat (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Paul Wouters
BaseOS QE Security Team
:
Depends On:
Blocks: 1019961
  Show dependency treegraph
 
Reported: 2013-10-16 13:16 EDT by Florian Weimer
Modified: 2017-10-03 21:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.7.3.1-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-16 13:16:21 EDT
Just calling SSL_CTX_set_default_verify_paths() if neither the capath nor cafile options are specified should be sufficient.

Test case:  This should download the Bugzilla front page:

$ socat readline OPENSSL:bugzilla.redhat.com:443
GET / HTTP/1.0
<just press enter>

Failure looks like this:

$ socat readline OPENSSL:bugzilla.redhat.com:443
2013/10/16 17:34:33 socat[23714] E SSL_connect(): error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
Comment 2 Gerhard 2014-04-03 07:03:12 EDT
This improvement will come with the next upstream feature release.
Comment 4 Gerhard 2015-01-24 15:35:32 EST
Scoat version 1.7.3.0 per default uses the system certificate store.

Note You need to log in before you can comment on or make changes to this bug.